python 3.11 installation error in parrot os

Manohar Telugu

New Member
Joined
Sep 1, 2022
Messages
3
Reaction score
0
Credits
27
while installing the python 3.11 on parrot os , am facing the error which is attached....please help me out
 

Attachments

  • python installation error.png
    python installation error.png
    31.9 KB · Views: 49


Brickwizard

Well-Known Member
Joined
Apr 28, 2021
Messages
3,462
Reaction score
2,290
Credits
25,766
@Manohar Telugu
Hi, our Parrotsec forums are down at the moment, as an interim try this u-tube tutorial [if it's available in your country]
 
Last edited:

JasKinasis

Well-Known Member
Joined
Apr 25, 2017
Messages
1,616
Reaction score
2,315
Credits
12,280
The reason it’s happening is because python3.11 is NOT the name of the package.
Try using apt search python3 —names-only | less and that will list ALL Python3 packages in the parrot repos.

Scroll through the list of packages and you might see the correct package name for the appropriate version of Python. I haven’t really kept track of which version of Python 3 we’re currently on. But if anything after 3.11 is installed, there’s not really much point in installing an earlier version.

I would also imagine that python3 will already be installed by default anyway. Most Linux distributions have finally switched to Python 3 from Python 2. So Python 3 should be the default installed version of Python.
 
$100 Digital Ocean Credit
Get a free VM to test out Linux!

Linux.org Hosting Donations
Consider making a donation

Members online


Top